package com.migao.config.authority;

import com.migao.config.response.ResponseBuilder;
import com.alibaba.fastjson.JSON;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.OutputStream;
import java.nio.charset.StandardCharsets;

/**
 * @version 1.0
 * @Author mwh
 * @Date 2020/5/14 10:16
 */
public class AuthUtils {
    
    public static void writeJson(HttpServletResponse response, String message) {
        response.setStatus(HttpServletResponse.SC_OK);
        OutputStream writer = null;
        try {
            writer = response.getOutputStream();
            response.setCharacterEncoding("UTF-8");
            response.setContentType("application/json; charset=utf-8");
            writer.write(JSON.toJSONString(ResponseBuilder.fail(message)).getBytes(StandardCharsets.UTF_8));
            writer.flush();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
