package com.migao.entity.vo.res;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("统一上传返回")
public class FileRes implements Serializable {
    private static final long serialVersionUID = 3625082988216644029L;

    @JsonSerialize(using= ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(name = "name", example = "1")
    private String name;

    @ApiModelProperty(name = "name", example = "1")
    private String originalName;

    @ApiModelProperty(name = "name", example = "1")
    private String suffix;

    @ApiModelProperty(name = "name", example = "1")
    private String url;

    @ApiModelProperty(name = "name", example = "1")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long size;

    @ApiModelProperty(name = "name", example = "1")
    private String diskPath;

}
